//# (C) 2003/2004 by Vezhnevets Vladimir and Stanislav Soldatov. This code is under GNU Generel Public License

// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__53D0EAF0_519C_43FB_BA40_0FBF72DB6871__INCLUDED_)
#define AFX_STDAFX_H__53D0EAF0_519C_43FB_BA40_0FBF72DB6871__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning (disable: 4786)

// Insert your headers here
#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers

#include <windows.h>
#include <sys/stat.h>
#include <direct.h>

#define _FAR_NO_NAMELESS_UNIONS
#define _FAR_USE_FARFINDDATA
#include "plugin.hpp"

const char *GetMsg(int MsgId);

enum Operation_enum
{
  OP_INVALID=-1,
  OP_UPDATE = 0,
  OP_COMMIT,
  OP_LIGHTCOMMIT,
  OP_CHECKOUT,
  OP_EXPORT,
  OP_LOG,
  OP_STAT,
  OP_DIFF,
  OP_SEPARATOR1,
  OP_ADD,
  OP_REMOVE,
  OP_BROWSE,
  OP_SHOW,
  OP_SHOW_CHANGED,
  OP_SHOW_CONFLICTS,
  OP_SHOW_OLD,
  OP_SHOW_UNKNOWN,
  OP_NUMBER=OP_SHOW_UNKNOWN
};

enum Message_enum
{
MSG_PERFORM          =0,
MSG_OPERATION_STATUS =1,
MSG_OK               =2,
MSG_RESULT           =3,
MSG_VIEWLOG          =4,
MSG_PLUGIN_NAME      =5,
MSG_TIMEOUT          =6,
MSG_WORKING          =7,
MSG_ADD_BINARY       =8,
MSG_MODULENAME       =9,
MSG_MODULE           =10,
MSG_SHOULDSELECT     =11,
};

enum ViewOperation_enum
{
  VOP_INVALID=-1,
  VOP_VIEW=0,
  VOP_LOG =1,
  VOP_DIFF=2,
  VOP_LOGMANY=4,
  VOP_DIFFMANY=5
};

extern struct PluginStartupInfo     g_Info;
extern struct FarStandardFunctions  g_FSF;
// TODO: reference additional headers your program requires here

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__53D0EAF0_519C_43FB_BA40_0FBF72DB6871__INCLUDED_)
